## r-cran-wgcna 1.68

=== DESCRIPTION ===
Package: WGCNA
Version: 1.68
Date: 2019-05-22
Title: Weighted Correlation Network Analysis
Author: Peter Langfelder <Peter.Langfelder@gmail.com> and Steve Horvath <SHorvath@mednet.ucla.edu> with contributions by Chaochao Cai, Jun Dong, Jeremy Miller, Lin Song, Andy Yip, and Bin Zhang
Maintainer: Peter Langfelder <Peter.Langfelder@gmail.com>
Depends: R (>= 3.0), dynamicTreeCut (>= 1.62), fastcluster
Imports: stats, grDevices, utils, matrixStats (>= 0.8.1), Hmisc,
        impute, splines, foreach, doParallel, preprocessCore, survival,
        parallel, GO.db, AnnotationDbi, Rcpp (>= 0.11.0), robust
Suggests: org.Hs.eg.db, org.Mm.eg.db, infotheo, entropy, minet
LinkingTo: Rcpp
ZipData: no
License: GPL (>= 2)
Description: Functions necessary to perform Weighted Correlation Network Analysis on high-dimensional data as originally described in Horvath and Zhang (2005) <doi:10.2202/1544-6115.1128> and Langfelder and Horvath (2008) <doi:10.1186/1471-2105-9-559>. Includes functions for rudimentary data cleaning, construction of correlation networks, module identification, summarization, and relating of variables and modules to sample traits. Also includes a number of utility functions for data manipulation and visualization.
URL:
        http://horvath.genetics.ucla.edu/html/CoexpressionNetwork/Rpackages/WGCNA/
NeedsCompilation: yes
Packaged: 2019-05-22 23:44:43 UTC; plangfelder
Repository: CRAN
Date/Publication: 2019-05-23 05:10:03 UTC

=== debian/changelog ===
r-cran-wgcna (1.68-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:17:08 +0100

r-cran-wgcna (1.68-2) unstable; urgency=medium

  * Team upload.
  * dh-update-R to update Build-Depends
  * Set upstream metadata fields: Archive.
  * Add (Build-)Depends: r-cran-fit.models, r-cran-rrcov   manually since
    it is missing in DESCRIPTION file

 -- Andreas Tille <tille@debian.org>  Fri, 27 Dec 2019 23:09:58 +0100

r-cran-wgcna (1.68-1) unstable; urgency=medium

  * New upstream version, first upload (closes: #939972).

 -- Steffen Moeller <moeller@debian.org>  Tue, 26 Nov 2019 17:16:11 +0100

=== debian/control ===
Source: r-cran-wgcna
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-dynamictreecut,
               r-cran-fastcluster,
               r-cran-matrixstats,
               r-cran-hmisc,
               r-bioc-impute,
               r-cran-foreach,
               r-cran-doparallel,
               r-bioc-preprocesscore,
               r-cran-survival,
               r-bioc-go.db,
               r-bioc-annotationdbi,
               r-cran-rcpp,
               r-cran-robust,
               r-cran-fit.models,
               r-cran-rrcov
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wgcna
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wgcna.git
Homepage: https://cran.r-project.org/package=WGCNA

Package: r-cran-wgcna
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         r-cran-fit.models,
         r-cran-rrcov
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Provides: r-bioc-wgcna
Description: Weighted Correlation Network Analysis
 Functions necessary to perform Weighted Correlation Network Analysis
 on high-dimensional data as originally described in Horvath and Zhang
 (2005) <doi:10.2202/1544-6115.1128> and Langfelder and Horvath (2008)
 <doi:10.1186/1471-2105-9-559>. Includes functions for rudimentary data
 cleaning, construction of correlation networks, module identification,
 summarization, and relating of variables and modules to sample
 traits. Also includes a number of utility functions for data manipulation
 and visualization.

## r-cran-wgcna 1.69

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: WGCNA
-Version: 1.68
-Date: 2019-05-22
+Version: 1.69
+Date: 2020-02-28
 Title: Weighted Correlation Network Analysis
 Author: Peter Langfelder <Peter.Langfelder@gmail.com> and Steve Horvath <SHorvath@mednet.ucla.edu> with contributions by Chaochao Cai, Jun Dong, Jeremy Miller, Lin Song, Andy Yip, and Bin Zhang
 Maintainer: Peter Langfelder <Peter.Langfelder@gmail.com>
 Depends: R (>= 3.0), dynamicTreeCut (>= 1.62), fastcluster
 Imports: stats, grDevices, utils, matrixStats (>= 0.8.1), Hmisc,
         impute, splines, foreach, doParallel, preprocessCore, survival,
-        parallel, GO.db, AnnotationDbi, Rcpp (>= 0.11.0), robust
+        parallel, GO.db, AnnotationDbi, Rcpp (>= 0.11.0)
 Suggests: org.Hs.eg.db, org.Mm.eg.db, infotheo, entropy, minet
 LinkingTo: Rcpp
 ZipData: no
@@ -16,6 +16,6 @@
 URL:
         http://horvath.genetics.ucla.edu/html/CoexpressionNetwork/Rpackages/WGCNA/
 NeedsCompilation: yes
-Packaged: 2019-05-22 23:44:43 UTC; plangfelder
+Packaged: 2020-02-28 17:53:48 UTC; plangfelder
 Repository: CRAN
-Date/Publication: 2019-05-23 05:10:03 UTC
+Date/Publication: 2020-02-28 19:00:03 UTC

=== debian/changelog ===
r-cran-wgcna (1.69-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 02 Mar 2020 10:46:27 +0100

=== debian/control ===
--- 
+++ 
@@ -18,11 +18,8 @@
                r-cran-survival,
                r-bioc-go.db,
                r-bioc-annotationdbi,
-               r-cran-rcpp,
-               r-cran-robust,
-               r-cran-fit.models,
-               r-cran-rrcov
-Standards-Version: 4.4.1
+               r-cran-rcpp
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wgcna
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wgcna.git
 Homepage: https://cran.r-project.org/package=WGCNA
@@ -31,9 +28,7 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends},
-         r-cran-fit.models,
-         r-cran-rrcov
+         ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
 Provides: r-bioc-wgcna

=== debian/watch ===
version=4
#https://horvath.genetics.ucla.edu/html/CoexpressionNetwork/Rpackages/WGCNA/WGCNA_([-\d.]*)\.tar\.gz
https://cloud.r-project.org/src/contrib/WGCNA_([-\d.]*)\.tar\.gz

## r-cran-wgcna 1.70

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: WGCNA
-Version: 1.69
-Date: 2020-02-28
+Version: 1.70-3
+Date: 2021-02-17
 Title: Weighted Correlation Network Analysis
 Author: Peter Langfelder <Peter.Langfelder@gmail.com> and Steve Horvath <SHorvath@mednet.ucla.edu> with contributions by Chaochao Cai, Jun Dong, Jeremy Miller, Lin Song, Andy Yip, and Bin Zhang
 Maintainer: Peter Langfelder <Peter.Langfelder@gmail.com>
@@ -16,6 +16,6 @@
 URL:
         http://horvath.genetics.ucla.edu/html/CoexpressionNetwork/Rpackages/WGCNA/
 NeedsCompilation: yes
-Packaged: 2020-02-28 17:53:48 UTC; plangfelder
+Packaged: 2021-02-18 06:33:51 UTC; plangfelder
 Repository: CRAN
-Date/Publication: 2020-02-28 19:00:03 UTC
+Date/Publication: 2021-02-28 20:20:03 UTC

## r-cran-wgcna 1.70-3

=== debian/changelog ===
r-cran-wgcna (1.70-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 Aug 2021 08:54:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-dynamictreecut,
@@ -19,10 +19,11 @@
                r-bioc-go.db,
                r-bioc-annotationdbi,
                r-cran-rcpp
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wgcna
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wgcna.git
 Homepage: https://cran.r-project.org/package=WGCNA
+Rules-Requires-Root: no
 
 Package: r-cran-wgcna
 Architecture: any

## r-cran-wgcna 1.71

=== debian/changelog ===
r-cran-wgcna (1.71-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 13:08:30 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                r-bioc-go.db,
                r-bioc-annotationdbi,
                r-cran-rcpp
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wgcna
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wgcna.git
 Homepage: https://cran.r-project.org/package=WGCNA

## r-cran-wgcna 1.72

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: WGCNA
-Version: 1.70-3
-Date: 2021-02-17
+Version: 1.72-5
+Date: 2023-12-06
 Title: Weighted Correlation Network Analysis
 Author: Peter Langfelder <Peter.Langfelder@gmail.com> and Steve Horvath <SHorvath@mednet.ucla.edu> with contributions by Chaochao Cai, Jun Dong, Jeremy Miller, Lin Song, Andy Yip, and Bin Zhang
 Maintainer: Peter Langfelder <Peter.Langfelder@gmail.com>
@@ -16,6 +16,6 @@
 URL:
         http://horvath.genetics.ucla.edu/html/CoexpressionNetwork/Rpackages/WGCNA/
 NeedsCompilation: yes
-Packaged: 2021-02-18 06:33:51 UTC; plangfelder
+Packaged: 2023-12-06 06:23:22 UTC; plangfelder
 Repository: CRAN
-Date/Publication: 2021-02-28 20:20:03 UTC
+Date/Publication: 2023-12-07 15:40:03 UTC

## r-cran-wgcna 1.72-1

=== debian/changelog ===
r-cran-wgcna (1.72-1-1) unstable; urgency=medium

  * Team upload
  * Disable reprotest
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 17:20:14 +0100

=== debian/rules ===
#!/usr/bin/make -f

# The package in CRAN is now maintained
#cranName=other

%:
	dh $@ --buildsystem R

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/WGCNA.so

## r-cran-wgcna 1.72-5

=== debian/changelog ===
r-cran-wgcna (1.72-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 11:27:42 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                r-bioc-go.db,
                r-bioc-annotationdbi,
                r-cran-rcpp
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wgcna
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wgcna.git
 Homepage: https://cran.r-project.org/package=WGCNA

## r-cran-wgcna 1.73

=== DESCRIPTION ===
Package: WGCNA
Version: 1.73
Date: 2024-09-18
Title: Weighted Correlation Network Analysis
Maintainer: Peter Langfelder <Peter.Langfelder@gmail.com>
Depends: R (>= 3.0), dynamicTreeCut (>= 1.62), fastcluster
Imports: stats, grDevices, utils, matrixStats (>= 0.8.1), Hmisc,
        impute, splines, foreach, doParallel, preprocessCore, survival,
        parallel, GO.db, AnnotationDbi, Rcpp (>= 0.11.0)
Suggests: org.Hs.eg.db, org.Mm.eg.db, infotheo, entropy, minet
LinkingTo: Rcpp
ZipData: no
License: GPL (>= 2)
Authors@R: c(person(given = "Peter",
                    family = "Langfelder",
                    role = c("aut", "cre"),
                    email = "Peter.Langfelder@gmail.com"),
             person(given = "Steve", 
                    family = "Horvath", 
                    role = "aut"),
             person(given = "Chaochao",
                    family = "Cai",
                    role = "aut"),
             person(given = "Jun",
                    family = "Dong",
                    role = "aut"),
             person(given = "Jeremy",
                    family = "Miller",
                    role = "aut"),
             person(given = "Lin",
                    family = "Song",
                    role = "aut"),
             person(given = "Andy",
                    family = "Yip",
                    role = "aut"),
             person(given = "Bin",
                    family = "Zhang",
                    role = "aut"))
Description: Functions necessary to perform Weighted Correlation Network Analysis on high-dimensional data as originally described in Horvath and Zhang (2005) <doi:10.2202/1544-6115.1128> and Langfelder and Horvath (2008) <doi:10.1186/1471-2105-9-559>. Includes functions for rudimentary data cleaning, construction of correlation networks, module identification, summarization, and relating of variables and modules to sample traits. Also includes a number of utility functions for data manipulation and visualization.
NeedsCompilation: yes
Packaged: 2024-09-18 12:43:22 UTC; plangfelder
Author: Peter Langfelder [aut, cre],
  Steve Horvath [aut],
  Chaochao Cai [aut],
  Jun Dong [aut],
  Jeremy Miller [aut],
  Lin Song [aut],
  Andy Yip [aut],
  Bin Zhang [aut]
Repository: CRAN
Date/Publication: 2024-09-18 15:20:02 UTC

=== debian/changelog ===
r-cran-wgcna (1.73-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 07 Nov 2024 09:29:54 +0900

r-cran-wgcna (1.72-5-2) unstable; urgency=medium

  * Team upload.
  * Only build for 64-bit architectures, due to build-deps on r-bioc-*
    packages. Closes: #1081746
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 16 Sep 2024 18:20:00 +0200

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,9 @@
                r-cran-survival,
                r-bioc-go.db,
                r-bioc-annotationdbi,
-               r-cran-rcpp
-Standards-Version: 4.6.2
+               r-cran-rcpp,
+               architecture-is-64-bit
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wgcna
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wgcna.git
 Homepage: https://cran.r-project.org/package=WGCNA

## r-cran-wgcna 1.74

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: WGCNA
-Version: 1.73
-Date: 2024-09-18
+Version: 1.74
+Date: 2026-01-27
 Title: Weighted Correlation Network Analysis
 Maintainer: Peter Langfelder <Peter.Langfelder@gmail.com>
 Depends: R (>= 3.0), dynamicTreeCut (>= 1.62), fastcluster
 Imports: stats, grDevices, utils, matrixStats (>= 0.8.1), Hmisc,
         impute, splines, foreach, doParallel, preprocessCore, survival,
-        parallel, GO.db, AnnotationDbi, Rcpp (>= 0.11.0)
-Suggests: org.Hs.eg.db, org.Mm.eg.db, infotheo, entropy, minet
+        parallel, Rcpp (>= 0.11.0)
+Suggests: infotheo, entropy, minet
 LinkingTo: Rcpp
 ZipData: no
 License: GPL (>= 2)
@@ -38,7 +38,7 @@
                     role = "aut"))
 Description: Functions necessary to perform Weighted Correlation Network Analysis on high-dimensional data as originally described in Horvath and Zhang (2005) <doi:10.2202/1544-6115.1128> and Langfelder and Horvath (2008) <doi:10.1186/1471-2105-9-559>. Includes functions for rudimentary data cleaning, construction of correlation networks, module identification, summarization, and relating of variables and modules to sample traits. Also includes a number of utility functions for data manipulation and visualization.
 NeedsCompilation: yes
-Packaged: 2024-09-18 12:43:22 UTC; plangfelder
+Packaged: 2026-01-27 16:47:33 UTC; plangfelder
 Author: Peter Langfelder [aut, cre],
   Steve Horvath [aut],
   Chaochao Cai [aut],
@@ -48,4 +48,4 @@
   Andy Yip [aut],
   Bin Zhang [aut]
 Repository: CRAN
-Date/Publication: 2024-09-18 15:20:02 UTC
+Date/Publication: 2026-01-30 06:10:44 UTC

=== debian/changelog ===
r-cran-wgcna (1.74-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Sat, 14 Feb 2026 18:58:46 +0900

=== debian/control ===
Source: r-cran-wgcna
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-dynamictreecut,
 r-cran-fastcluster,
 r-cran-matrixstats,
 r-cran-hmisc,
 r-bioc-impute,
 r-cran-foreach,
 r-cran-doparallel,
 r-bioc-preprocesscore,
 r-cran-survival,
 r-cran-rcpp,
 r-bioc-go.db,
 r-bioc-annotationdbi,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wgcna
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wgcna.git
Homepage: https://cran.r-project.org/package=WGCNA
Rules-Requires-Root: no

Package: r-cran-wgcna
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Provides:
 r-bioc-wgcna,
Description: Weighted Correlation Network Analysis
 Functions necessary to perform Weighted Correlation Network Analysis
 on high-dimensional data as originally described in Horvath and Zhang
 (2005) <doi:10.2202/1544-6115.1128> and Langfelder and Horvath (2008)
 <doi:10.1186/1471-2105-9-559>. Includes functions for rudimentary data
 cleaning, construction of correlation networks, module identification,
 summarization, and relating of variables and modules to sample
 traits. Also includes a number of utility functions for data manipulation
 and visualization.
